--This creates the tables needed
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT

--------------------------------------------------------for resetting

--DROP TABLE dbo.T_LicenseActions
--DROP TABLE dbo.T_FileData
--DROP TABLE dbo.T_Mitarbeiter --ist nicht ntig, weil Abteilungsnamen eh gleich bleiben sollten
--DROP TABLE dbo.T_LicenseTranslations
--DROP TABLE dbo.T_IncludedSoftware

--------------------------------------------------------

CREATE TABLE dbo.T_FileData
(
	FileNameFullPath nvarchar(255) NOT NULL,
	LastWrite datetime NOT NULL,
	FileID int IDENTITY(0,1) NOT NULL,
	CONSTRAINT PK_T_FileData PRIMARY KEY CLUSTERED 
	(
		FileID ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
)

CREATE TABLE dbo.T_LicenseActions
(
	LogDate datetime2 NOT NULL,
	Action nvarchar(50) NOT NULL,
	AppID nvarchar(50) NOT NULL,
	Username nvarchar(50),
	Computername nvarchar(50),
	AdditInfo nvarchar(200),
	FileID int,
	INOUT int,
	LicensesInUse int NOT NULL,
	Source nvarchar(50),
	Unnecessary bit
)

CREATE TABLE dbo.T_Mitarbeiter
(
	MitarbeiterName nvarchar(200),
	MitarbeiterID int IDENTITY(0,1) NOT NULL,
	CONSTRAINT PK_T_Abteilungen PRIMARY KEY CLUSTERED 
	(
		MitarbeiterID ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	AbteilungName nvarchar(200)
)

CREATE TABLE dbo.T_LicenseTranslations
(
	ID int IDENTITY(0,1) NOT NULL,
	ProductName nvarchar(100) NOT NULL UNIQUE,
	ServerAddress nvarchar(50),
	ServerID nvarchar(50),
	PackageName nvarchar(50),
	LicenseCount int
)

CREATE TABLE dbo.T_IncludedSoftware
(
	ID int IDENTITY(0,1) NOT NULL,
	ComponentName nvarchar(max),
	Origin int NOT NULL,
	CONSTRAINT PK_T_IncludedSoftware PRIMARY KEY CLUSTERED 
	(
		ID ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
)